Bug 18582 - Hide empty rows in detailed suggestion view
Summary: Hide empty rows in detailed suggestion view
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/suggestion/suggestion.pl
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-11 15:10 UTC by Owen Leonard
Modified: 2017-06-29 07:16 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18582 - Hide empty rows in detailed suggestion view (4.31 KB, patch)
2017-05-11 16:49 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18582 - Hide empty rows in detailed suggestion view (4.38 KB, patch)
2017-05-12 10:28 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18582 - Hide empty rows in detailed suggestion view (4.43 KB, patch)
2017-06-16 20:44 UTC, Brendan Gallagher
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-05-11 15:10:21 UTC
In the suggestion detailed view, every field is displayed even if it is empty. This view should hide rows which contain no data.
Comment 1 Owen Leonard 2017-05-11 16:49:32 UTC
Created attachment 63391 [details] [review]
Bug 18582 - Hide empty rows in detailed suggestion view

This patch adds a check for the existence of various template variables
before showing the row containing that data. This will prevent the
display of rows containing labels but no data in the suggestions
detailed view.

To test, apply the patch and go to Acquisitions -> Suggestions.

View the detail page of various suggestions and confirm that only fields
with data are displaying.
Comment 2 Josef Moravec 2017-05-12 10:28:40 UTC
Created attachment 63422 [details] [review]
[SIGNED-OFF] Bug 18582 - Hide empty rows in detailed suggestion view

This patch adds a check for the existence of various template variables
before showing the row containing that data. This will prevent the
display of rows containing labels but no data in the suggestions
detailed view.

To test, apply the patch and go to Acquisitions -> Suggestions.

View the detail page of various suggestions and confirm that only fields
with data are displaying.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Brendan Gallagher 2017-06-16 20:44:55 UTC
Created attachment 64419 [details] [review]
Bug 18582 - Hide empty rows in detailed suggestion view

This patch adds a check for the existence of various template variables
before showing the row containing that data. This will prevent the
display of rows containing labels but no data in the suggestions
detailed view.

To test, apply the patch and go to Acquisitions -> Suggestions.

View the detail page of various suggestions and confirm that only fields
with data are displaying.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Brendan A Gallagher <brendan@bywatersolutions.com>
Comment 4 Jonathan Druart 2017-06-19 19:37:44 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-06-29 07:16:57 UTC
Enhancement not pushed to 17.05.x